Package groovy.util.slurpersupport

# Class ReplacementNode

java.lang.Object
groovy.util.slurpersupport.ReplacementNode

All Implemented Interfaces:
  `Buildable`, `Writable`

public abstract class ReplacementNode extends Object implements Buildable, Writable
Helper base class used for lazy updates.

Author:
  John Wilson

## Constructor Summary

Constructors
Constructor
Description
`ReplacementNode()`

## Method Summary

Modifier and Type
Method
Description
`void`
`build(GroovyObject builder)`
`abstract void`
`build(GroovyObject builder, Map namespaceMap, Map<String,String> namespaceTagHints)`
`Writer`
`writeTo(Writer out)`
NOP

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplacementNode

public ReplacementNode()

## Method Details

### build

public abstract void build(GroovyObject builder, Map namespaceMap, Map<String,String> namespaceTagHints)

### build

public void build(GroovyObject builder)

Specified by:
  `build` in interface `Buildable`

### writeTo

public Writer writeTo(Writer out) throws IOException
NOP

Specified by:
  `writeTo` in interface `Writable`
Parameters:
  `out` - the Writer to which this Writable should output its data.
Returns:
  the Writer that was passed
Throws:
  `IOException` - if an error occurred while outputting data to the writer